Name:           libgiigic
Version:        1.1.2
Release:        1%{?dist}
Summary:        LibGIIGIC is a ggi library at the top on LibGII

Group:          System Environment/Libraries
License:        LGPL
URL:            http://www.ggi-project.org/packages/libgiigic.html
Source0:        http://www.ggi-project.org/ftp/ggi/v2.2/libgiigic-%{version}.src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgii-devel
BuildRequires:  libggi-devel

%description
The goal of LibGIIGIC is to provide a single easy to use, but yet powerful API
for (re)binding any kind of action to all possible input devices through LibGII
at runtime.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
gmake %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ChangeLog 
%config(noreplace) %{_sysconfdir}/ggi/libgiigic.conf
%{_bindir}/gic2c
%{_libdir}/*.so.*
%dir %{_libdir}/ggi/gic
%{_libdir}/ggi/gic/*
%{_mandir}/man?/*

%files devel
%defattr(-,root,root,-)
%doc doc/*.txt
%{_includedir}/ggi/*
%{_libdir}/*.so


%changelog
* Mon May  7 2007 kwizart < kwizart at gmail.com > - 1.1.2-1
- Intial spec file for Fedora 
